com.io7m.jregions.core.parameterized.sizes

## Class PVolumeSizeBI<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PVolumeSizeBI<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the volume
  All Implemented Interfaces:
    PVolumeSizeBIType<S>, VolumeSizeValuesBIType

      @Generated(value={"Immutables.generator","PVolumeSizeBIType<S>"})
      public final class PVolumeSizeBI<S>
      extends Object
      implements PVolumeSizeBIType<S>

  The size of a volume with `BigInteger` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PVolumeSizeBI.Builder<S>` Builds instances of type `PVolumeSizeBI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S> PVolumeSizeBI.Builder<S>` | `builder()` Creates a builder for `PVolumeSizeBI`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PVolumeSizeBI` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
    `static <S> PVolumeSizeBI<S>` | `of(BigInteger sizeX, BigInteger sizeY, BigInteger sizeZ)` Construct a new immutable `PVolumeSizeBI` instance.
    `BigInteger` | `sizeX()`
    `BigInteger` | `sizeY()`
    `BigInteger` | `sizeZ()`
    `String` | `toString()` Prints the immutable value `PVolumeSizeBI` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeX

          public BigInteger sizeX()

      Specified by:
        `sizeX` in interface `PVolumeSizeBIType<S>`
      Specified by:
        `sizeX` in interface `VolumeSizeValuesBIType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public BigInteger sizeY()

      Specified by:
        `sizeY` in interface `PVolumeSizeBIType<S>`
      Specified by:
        `sizeY` in interface `VolumeSizeValuesBIType`
      Returns:
        The value of the `sizeY` attribute

    - #### sizeZ

          public BigInteger sizeZ()

      Specified by:
        `sizeZ` in interface `PVolumeSizeBIType<S>`
      Specified by:
        `sizeZ` in interface `VolumeSizeValuesBIType`
      Returns:
        The value of the `sizeZ` attribute

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PVolumeSizeBI` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `sizeX`, `sizeY`, `sizeZ`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PVolumeSizeBI` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S> PVolumeSizeBI<S> of(BigInteger sizeX,
                                                BigInteger sizeY,
                                                BigInteger sizeZ)

      Construct a new immutable `PVolumeSizeBI` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
        `sizeZ` - The value for the `sizeZ` attribute
      Returns:
        An immutable PVolumeSizeBI instance

    - #### builder

          public static <S> PVolumeSizeBI.Builder<S> builder()

      Creates a builder for `PVolumeSizeBI`.
      Type Parameters:
        `S` - generic parameter S
      Returns:
        A new PVolumeSizeBI builder

Copyright © 2017 <code@io7m.com> http://io7m.com